[ImageBuilder] Make 'bootefi' work again

Michal Orzel posted 1 patch 1 month, 3 weeks ago
Failed in applying to current master (apply log)
scripts/uboot-script-gen | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
[ImageBuilder] Make 'bootefi' work again
Posted by Michal Orzel 1 month, 3 weeks ago
When $BOOT_CMD is bootefi, there shall be no '-' between $kernel_addr
and $device_tree_addr.

Fixes: 3fa89f8f9853 ("Add support for BOOT_CMD")
Signed-off-by: Michal Orzel <michal.orzel@amd.com>
---
Note: using this command would be a good opportunity for a Xen EFI boot CI test
on Arm64 when the stub is not responsible for loading modules.
---
 scripts/uboot-script-gen | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/scripts/uboot-script-gen b/scripts/uboot-script-gen
index 8b664e711b10..f8a087b881ce 100755
--- a/scripts/uboot-script-gen
+++ b/scripts/uboot-script-gen
@@ -1391,7 +1391,7 @@ fi
 
 if [ "$BOOT_CMD" != "none" ]
 then
-    echo "$BOOT_CMD $kernel_addr - $device_tree_addr" >> $UBOOT_SOURCE
+    echo "$BOOT_CMD $kernel_addr $([ "$BOOT_CMD" = "bootefi" ] || echo '-') $device_tree_addr" >> $UBOOT_SOURCE
 else
     # skip boot command but store load addresses to be used later
     echo "setenv host_kernel_addr $kernel_addr" >> $UBOOT_SOURCE
-- 
2.25.1
Re: [ImageBuilder] Make 'bootefi' work again
Posted by Stefano Stabellini 1 month, 3 weeks ago
On Tue, 16 Jul 2024, Michal Orzel wrote:
> When $BOOT_CMD is bootefi, there shall be no '-' between $kernel_addr
> and $device_tree_addr.
> 
> Fixes: 3fa89f8f9853 ("Add support for BOOT_CMD")
> Signed-off-by: Michal Orzel <michal.orzel@amd.com>

I think and if/else would have been more readable but it is fine anyway.
Thanks for spotting the issue and fixing it quickly!

Reviewed-by: Stefano Stabellini <sstabellini@kernel.org>

> ---
> Note: using this command would be a good opportunity for a Xen EFI boot CI test
> on Arm64 when the stub is not responsible for loading modules.
> ---
>  scripts/uboot-script-gen | 2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)
> 
> diff --git a/scripts/uboot-script-gen b/scripts/uboot-script-gen
> index 8b664e711b10..f8a087b881ce 100755
> --- a/scripts/uboot-script-gen
> +++ b/scripts/uboot-script-gen
> @@ -1391,7 +1391,7 @@ fi
>  
>  if [ "$BOOT_CMD" != "none" ]
>  then
> -    echo "$BOOT_CMD $kernel_addr - $device_tree_addr" >> $UBOOT_SOURCE
> +    echo "$BOOT_CMD $kernel_addr $([ "$BOOT_CMD" = "bootefi" ] || echo '-') $device_tree_addr" >> $UBOOT_SOURCE
>  else
>      # skip boot command but store load addresses to be used later
>      echo "setenv host_kernel_addr $kernel_addr" >> $UBOOT_SOURCE
> -- 
> 2.25.1
>